<?xml version="1.0" encoding="iso-8859-1" ?>
<!-- Ingeniera de la Informacin, Curso 2006/07 -->
<!-- autores: 
Francisco Javier Prez Pinillos, 100033789
Laura Plaza Ruiz, 100033669 
Ingeniera en Informtica
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="xlink.xsd">
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
				<title>Practica 3: Topic Maps</title>
				<style type="text/css"><![CDATA[            
				body
                { color: #ffffff;
                background: #000000;       
                overflow-x:hidden;
                font-family: Helvetica, Arial}
				
            table
                {
                
               }
        
            th
                {
                text-align: left;
                font-family: Times;
                color: #ffffff;
                background: #ff0000;
                vertical-align: bottom; }
        
            tr
                { vertical-align: top; }

            td
                {
                font-size: 80%;
                color: #ffffff; 
                background: #000000;
                vertical-align: top; }
                
            a { color: #ffffff;
              text-decoration: bold }
              
            a:hover { color: red }
]]>
				</style>
				
<script type="text/javascript">
<!--//--><![CDATA[//><!--
function openTargetBlank(e){   
   var className = 'external';   
   if (!e) var e = window.event;
   var clickedObj = e.target ? e.target : e.srcElement;
   if(clickedObj.nodeName == 'A' )
    {
      r=new RegExp("(^| )"+className+"($| )");
      if(r.test(clickedObj.className)){
         window.open(clickedObj.href);
         return false;
      }
    }
}
document.onclick = openTargetBlank;  
//--><!]]>
</script>

			</head>
			<body>
				<center>
					<a name="#arriba" />
					<img src="./imagenes/menu/titulo.PNG" />
					<br/>
					<h5>Autores: Fco. Javier Prez Pinillos y Laura Plaza Ruiz</h5>
					<br/>
					<img src="./imagenes/menu/barra.PNG" />
					<table heigth="85%" width="85%" border="1" cellpadding="10%">
						<colgroup align="center" span="3" />
						<colgroup align="center" span="3" />
						<colgroup align="center" span="3" />
						<tr>
							<td>
								<a href="#Razas">
									<h3>Razas</h3>
									<img src="./imagenes/menu/razas.jpg" title="Ir a Razas" />
								</a>
							</td>
							<td>
								<a href="#Lugares">
									<h3>reas Geogrficas</h3>
									<img src="./imagenes/menu/lugares.jpg" title="Ir a reas Geogrficas" />
								</a>
							</td>
							<td>
								<a href="#IndiceRelaciones">
									<h3>Indice Relaciones</h3>
									<img src="./imagenes/menu/relaciones.jpg" title="Ir a Relaciones" />
								</a>
							</td>
						</tr>
						<tr>
							<td>
								<a href="#Lenguas">
									<h3>Lenguas</h3>
									<img src="./imagenes/menu/lenguas.JPG" title="Ir a Lenguas" />
								</a>
							</td>
							<td>
								<a href="#Fortalezas">
									<h3>Fortalezas</h3>
									<img src="./imagenes/menu/fortalezas.jpg" title="Ir a Fortalezas" />
								</a>
							</td>
							<td>
								<a href="#IndiceMultimedia">
									<h3>Indice Multimedia</h3>
									<img src="./imagenes/menu/indiceMultimedia.jpg" title="Ir a ndice Multimedia" />
								</a>
							</td>
						</tr>
					</table>
				</center>
				<br/>
				<img src="./imagenes/menu/barra.PNG" />
				<table width="85%" cellspacing="0" cellpadding="10">
						<tr>
							<td>
								<table width="85%" cellspacing="10">
									<tr>
										<td>
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#Razas"></a>
											<h1>Razas</h1>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'raza'">
													<xsl:call-template name="razas" />
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td background="black">
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#Lugares"></a>
											<h2>Lugares</h2>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'area-geografica'">
													<xsl:call-template name="lugares" />
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td>
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#Lenguas"></a>
											<h2>Lenguas de la Tierra Media</h2>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'lengua'">
													<xsl:call-template name="lenguas" />
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td>
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#Fortalezas"></a>
											<h2>Fortalezas de la Tierra Media</h2>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'fortaleza'">
													<xsl:call-template name="fortalezas" />
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<!-- INDICE MULTIMEDIA -->
										<td>
											<img src="./imagenes/menu/barra.PNG" />
											<br />
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#IndiceMultimedia"></a>
											<h2>Indice Multimedia</h2>
											<br />
											<img src="./imagenes/menu/barra.PNG" />
											<a name="#Enlaces" />
											<h5>[<a href="#Arriba">Arriba</a>] [<a href="#Enlaces">Enlaces</a>]  [<a href="#Imagenes">Imagenes</a>]   [<a href="#Audio">Audio</a>]</h5>
											<h3>Enlaces</h3>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'categoria'">
													<xsl:call-template name="indexMultimediaLinks" />
												</xsl:if>
											</xsl:for-each>
											<br />
											<br />
											<img src="./imagenes/menu/barra.PNG" />
											<a name="#Imagenes" />
											<h5>[<a href="#Arriba">Arriba</a>] [<a href="#Enlaces">Enlaces</a>]   [<a href="#Audio">Audio</a>]</h5>
											<h3>Imagenes</h3>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'categoria'">
													<xsl:call-template name="indexMultimediaImagenes" />
												</xsl:if>
											</xsl:for-each>
											<br />
											<br />
											<img src="./imagenes/menu/barra.PNG" />
											<a name="#Audio" />
											<h5>[<a href="#Arriba">Arriba</a>] [<a href="#Enlaces">Enlaces</a>]  [<a href="#Imagenes">Imagenes</a>]</h5>
											<h3>Audio</h3>
											<xsl:for-each select="topicMap/topic">
												<xsl:sort select="@id" order="ascending" />
												<xsl:if test="instanceOf/topicRef/@xlink:href = 'categoria'">
													<xsl:call-template name="indexMultimediaAudio" />
												</xsl:if>
											</xsl:for-each>
											<br />
											<br />
											<img src="./imagenes/menu/barra.PNG" />
										</td>
									</tr>
									<tr>
										<!-- INDICE DE RELACIONES -->
										<td>
											<img src="./imagenes/menu/anillo.bmp" />
											<a name="#IndiceRelaciones"></a>
											<h2>ndice de Relaciones entre Topics</h2>
											<xsl:for-each select="topicMap/association">
												<xsl:sort select="instanceOf/topicRef/@xlink:href" order="ascending" />
												<xsl:call-template name="indexRelaciones" />
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="razas" match="topic" mode="razas">
		<!-- creamos un ancla por cada raza-->
		<img src="./imagenes/menu/barra.PNG" />
		<a name="#{@id}" />
		<h5>[<a href="#Arriba">Arriba</a>]    [<a href="#Razas">Razas</a>]     [<a href="#IndiceRelaciones">Asociaciones</a>]</h5>
		<h2>
			<xsl:value-of select="baseName/baseNameString" />
		</h2>
		<xsl:variable name="id_topic" select="@id" />
		<xsl:variable name="tipo_topic" select="instanceOf/topicRef/@xlink:href" />
		<xsl:variable name="base_name" select="baseName/baseNameString" />
		<table width="85%">
			<tr>
				<td>
					<bold>Subrazas:</bold>
					<xsl:for-each select="../topic">
						<!--ref: <xsl:value-of select="instanceOf/topicRef/@xlink:href"/>-->
						<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
							<!-- [ <xsl:value-of select="@id"/> ]  -->[<a>
								<xsl:attribute name="href">
									<xsl:value-of select="concat('#',@id)" />
								</xsl:attribute>
								<xsl:value-of select="baseName/baseNameString" />
							</a>]</xsl:if>
					</xsl:for-each>.
					<br />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:for-each select="../topic">
						<xsl:if test="@id = $tipo_topic">Los <xsl:value-of select="$base_name" /> son un subtipo de:
							<a>
								<xsl:attribute name="href">
									<xsl:value-of select="concat('#',@id)" />
								</xsl:attribute>
								<xsl:value-of select="baseName/baseNameString" />
							</a>
						</xsl:if>
					</xsl:for-each>.</td>
			</tr>
			<tr>
				<td>
					<h5>Relaciones:</h5>
					<xsl:for-each select="../association">
						<!--Si pertenece a alguna asociacion -->
						<xsl:variable name="miembro1" select="member[1]" />
						<xsl:variable name="miembro2" select="member[2]" />
						<xsl:if test="$miembro1/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol1" select="$miembro1/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol1" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro2/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro2/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
						<xsl:if test="$miembro2/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol2" select="$miembro2/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol2" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro1/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro1/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
					</xsl:for-each>
					<br />
					<br />
				</td>
			</tr>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocLink'">
				<tr>
					<td>
						<h5>Referencias:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocLink'">
								<xsl:value-of select="resourceData" />
								<li>
									<xsl:call-template name="RefLink" />
								</li>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocTexto'">
				<tr>
					<td>
						<h5>Informacin:</h5>
						<p>
							<xsl:value-of select="occurrence/resourceRef" />
							<br />
						</p>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocImagen'">
				<tr>
					<td>
						<h5>Imgenes:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocImagen'">
								<xsl:call-template name="RefImagen" />
								<br />
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocAudio'">
				<tr>
					<td>
						<h5>Recursos de Sonido:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocAudio'">
								<xsl:call-template name="RefAudio" />
								<br />
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
		</table>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:sort select="@id" order="ascending" />
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="razas" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="lugares" match="topic">
		<!-- creamos un ancla -->
		<img src="./imagenes/menu/barra.PNG" />
		<a name="#{@id}" />
		<h5>[<a href="#Arriba">Arriba</a>]    [<a href="#Lugares">reas Geogrficas</a>]     [<a href="#IndiceRelaciones">Asociaciones</a>]</h5>
		<h2>
			<xsl:value-of select="baseName/baseNameString" />
		</h2>
		<xsl:variable name="id_topic" select="@id" />
		<xsl:variable name="tipo_topic" select="instanceOf/topicRef/@xlink:href" />
		<xsl:variable name="base_name" select="baseName/baseNameString" />
		<!--mostramos los datos-->
		<table width="85%">
			<tr>
				<td>
					<h5>Relaciones:</h5>
					<xsl:for-each select="../association">
						<!--Si pertenece a alguna asociacion -->
						<xsl:variable name="miembro1" select="member[1]" />
						<xsl:variable name="miembro2" select="member[2]" />
						<xsl:if test="$miembro1/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol1" select="$miembro1/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol1" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro2/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro2/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
						<xsl:if test="$miembro2/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol2" select="$miembro2/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol2" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro1/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro1/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
					</xsl:for-each>
					<br />
					<br />
				</td>
			</tr>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocLink'">
				<tr>
					<td>
						<h5>Referencias:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocLink'">
								<xsl:value-of select="resourceData" />
								<li>
									<xsl:call-template name="RefLink" />
								</li>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocTexto'">
				<tr>
					<td>
						<h5>Informacin:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocTexto'">
								<p>
									<xsl:value-of select="resourceRef" />
									<br />
								</p>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocImagen'">
				<tr>
					<td>
						<h5>Imgenes:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocImagen'">
								<xsl:call-template name="RefImagen" />
								<br />
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocAudio'">
				<tr>
					<td>
						<h5>Recursos de Sonido:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocAudio'">
								<xsl:call-template name="RefAudio" />
								<br />
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
		</table>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:sort select="@id" order="ascending" />
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="lugares" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="lenguas" match="topic" mode="cultura">
		<!-- creamos un ancla -->
		<img src="./imagenes/menu/barra.PNG" />
		<a name="#{@id}" />
		<h5>[<a href="#Arriba">Arriba</a>]    [<a href="#Lenguas">Lenguas</a>]  [<a href="#IndiceRelaciones">Asociaciones</a>]</h5>
		<h2>
			<xsl:value-of select="baseName/baseNameString" />
		</h2>
		<xsl:variable name="id_topic" select="@id" />
		<xsl:variable name="tipo_topic" select="instanceOf/topicRef/@xlink:href" />
		<xsl:variable name="base_name" select="baseName/baseNameString" />
		<!--mostramos los datos-->
		<table width="85%">
			<tr>
				<td>
					<bold>Sublenguas:</bold>
					<xsl:for-each select="../topic">
						<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
							<!-- [ <xsl:value-of select="@id"/> ]  -->[<a>
								<xsl:attribute name="href">
									<xsl:value-of select="concat('#',@id)" />
								</xsl:attribute>
								<xsl:value-of select="baseName/baseNameString" />
							</a>]</xsl:if>
					</xsl:for-each>.</td>
			</tr>
			<tr>
				<td>
					<xsl:for-each select="../topic">
						<xsl:if test="@id = $tipo_topic">El <xsl:value-of select="$base_name" /> es un subtipo de:
							<a>
								<xsl:attribute name="href">
									<xsl:value-of select="concat('#',@id)" />
								</xsl:attribute>
								<xsl:value-of select="baseName/baseNameString" />
							</a>
						</xsl:if>
					</xsl:for-each>.
					<br />
				</td>
			</tr>
			<tr>
				<td>
					<h5>Relaciones:</h5>
					<xsl:for-each select="../association">
						<!--Si pertenece a alguna asociacion -->
						<xsl:variable name="miembro1" select="member[1]" />
						<xsl:variable name="miembro2" select="member[2]" />
						<xsl:if test="$miembro1/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol1" select="$miembro1/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol1" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro2/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro2/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
						<xsl:if test="$miembro2/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol2" select="$miembro2/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol2" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro1/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro1/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
					</xsl:for-each>
					<br />
					<br />
				</td>
			</tr>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocLink'">
				<tr>
					<td>
						<h5>Referencias:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocLink'">
								<xsl:value-of select="resourceData" />
								<li>
									<xsl:call-template name="RefLink" />
								</li>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocTexto'">
				<tr>
					<td>
						<h5>Informacin:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocTexto'">
								<p>
									<xsl:value-of select="resourceRef" />
									<br />
								</p>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocImagen'">
				<tr>
					<td>
						<h5>Imgenes:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocImagen'">
								<xsl:call-template name="RefImagen" />
								<br />
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocAudio'">
				<tr>
					<td>
						<h5>Recursos de Sonido:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocAudio'">
								<xsl:call-template name="RefAudio" />
								<br />
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
		</table>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:sort select="@id" order="ascending" />
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="lenguas" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="fortalezas" match="topic" mode="fortalezas">
		<!-- creamos un ancla -->
		<img src="./imagenes/menu/barra.PNG" />
		<a name="#{@id}" />
		<h5>[<a href="#Arriba">Arriba</a>]    [<a href="#Fortalezas">Fortalezas</a>]     [<a href="#IndiceRelaciones">Asociaciones</a>]</h5>
		<h2>
			<xsl:value-of select="baseName/baseNameString" />
		</h2>
		<xsl:variable name="id_topic" select="@id" />
		<xsl:variable name="tipo_topic" select="instanceOf/topicRef/@xlink:href" />
		<xsl:variable name="base_name" select="baseName/baseNameString" />
		<table width="85%">
			<tr>
				<td>
					<h5>Relaciones:</h5>
					<xsl:for-each select="../association">
						<!--Si pertenece a alguna asociacion -->
						<xsl:variable name="miembro1" select="member[1]" />
						<xsl:variable name="miembro2" select="member[2]" />
						<xsl:if test="$miembro1/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol1" select="$miembro1/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol1" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro2/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro2/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
						<xsl:if test="$miembro2/topicRef/@xlink:href=$id_topic">
							<xsl:variable name="rol2" select="$miembro2/roleSpec/topicRef/@xlink:href" />
							<li>
								<xsl:value-of select="$rol2" />:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="concat('#',$miembro1/topicRef/@xlink:href)" />
									</xsl:attribute>
									<xsl:value-of select="$miembro1/topicRef/@xlink:href" />
									<br />
								</a>
							</li>
						</xsl:if>
					</xsl:for-each>
				</td>
			</tr>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocLink'">
				<tr>
					<td>
						<h5>Referencias:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocLink'">
								<xsl:value-of select="resourceData" />
								<li>
									<xsl:call-template name="RefLink" />
								</li>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocTexto'">
				<tr>
					<td>
						<h5>Informacin:</h5>
						<xsl:for-each select="occurrence">
							<!--  Aqui ponemos la descripcion -->
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocTexto'">
								<p>
									<xsl:value-of select="resourceRef" />
									<br />
								</p>
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocImagen'">
				<tr>
					<td>
						<h5>Imgenes:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocImagen'">
								<xsl:call-template name="RefImagen" />
								<br />
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocAudio'">
				<tr>
					<td>
						<h5>Recursos de Sonido:</h5>
						<!--  Aqui ponemos la descripcion -->
						<xsl:for-each select="occurrence">
							<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocAudio'">
								<xsl:call-template name="RefAudio" />
								<br />
							</xsl:if>
						</xsl:for-each>
						<br />
					</td>
				</tr>
			</xsl:if>
		</table>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:sort select="@id" order="ascending" />
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="fortalezas" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="RefImagen" match="topic/occurrence" mode="Imagen">
		<table frame="border">
			<tr>
				<td>
					<img>
						<xsl:attribute name="src">
							<xsl:value-of select="resourceRef" />
						</xsl:attribute>
					</img>
				</td>
			</tr>
			<tr>
				<td>
					<p>
						<xsl:choose>
							<xsl:when test="resourceData != ''">
								<xsl:value-of select="resourceData" />
							</xsl:when>
							<xsl:otherwise>Fuente:
								<a>
									<xsl:attribute name="href">
										<xsl:value-of select="resourceRef" />
									</xsl:attribute>
									<xsl:value-of select="resourceRef" />
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</p>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="RefAudio" match="topic/occurrence" mode="Sonido">
		<img src="./imagenes/menu/sonido.gif"></img>
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="resourceRef" />
			</xsl:attribute>Archivo de audio: <xsl:value-of select="resourceRef" />
		</a>
	</xsl:template>
	
	<xsl:template name="RefLink" match="topic/occurrence" mode="Link">
		<a class="external">
			<xsl:attribute name="href">
				<xsl:value-of select="resourceRef" />
			</xsl:attribute>
			<xsl:value-of select="resourceRef" />
			<br/>
		</a>		
	</xsl:template>
	
	<xsl:template name="RefImagenLink" match="topic/occurrence">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="resourceRef" />
			</xsl:attribute>
			<xsl:value-of select="resourceRef" />
		</a>
	</xsl:template>
	<!-- INDICE MULTIMEDIA -->
	<xsl:template name="indexMultimediaLinks" match="topic" mode="Link">
		<xsl:variable name="id_topic" select="@id" />
		<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocLink'">
			<xsl:for-each select="occurrence">
				<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocLink'">
					<xsl:value-of select="resourceData" />
					<li>
						<xsl:value-of select="../baseName/baseNameString" />:
						<xsl:call-template name="RefLink" />
					</li><br/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="indexMultimediaLinks" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="indexMultimediaAudio" match="topic">
		<xsl:variable name="id_topic" select="@id" />
		<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocAudio'">
			<xsl:for-each select="occurrence">
				<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocAudio'">
					<xsl:value-of select="resourceData" />
					<li>
						<xsl:value-of select="../baseName/baseNameString" />:
						<xsl:call-template name="RefAudioLista" />
					</li>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="indexMultimediaAudio" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="RefAudioLista" match="topic/occurrence">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="resourceRef" />
			</xsl:attribute>
			<xsl:value-of select="resourceRef" />
		</a>
	</xsl:template>
	<xsl:template name="indexMultimediaImagenes" match="topic">
		<xsl:variable name="id_topic" select="@id" />
		<xsl:if test="occurrence/instanceOf/topicRef/@xlink:href = 'ocImagen'">
			<xsl:for-each select="occurrence">
				<xsl:if test="instanceOf/topicRef/@xlink:href = 'ocImagen'">
					<li>
						<xsl:value-of select="../baseName/baseNameString" />:
						<xsl:call-template name="RefImagenLista" />
					</li>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<!-- Recursividad -->
		<xsl:for-each select="../topic">
			<xsl:if test="instanceOf/topicRef/@xlink:href = $id_topic">
				<xsl:call-template name="indexMultimediaImagenes" />
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="RefImagenLista" match="topic/occurrence" mode="Imagen">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="resourceRef" />
			</xsl:attribute>
			<xsl:attribute name="title">
				<xsl:choose>
					<xsl:when test="resourceData != ''">
						<xsl:value-of select="resourceData" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="../@id" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<img width="50" height="50">
				<xsl:attribute name="src">
					<xsl:value-of select="resourceRef" />
				</xsl:attribute>
			</img>
		</a>
	</xsl:template>
	<!-- INDICE RELACIONES -->
	<xsl:template name="indexRelaciones" match="association">
		<xsl:variable name="miembro1" select="member[1]" />
		<xsl:variable name="miembro2" select="member[2]" />
		<li>
			<b><xsl:value-of select="instanceOf/topicRef/@xlink:href" />: </b>
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="concat('#',$miembro1/topicRef/@xlink:href)" />
				</xsl:attribute>
				<xsl:value-of select="$miembro1/topicRef/@xlink:href" />
			</a>-
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="concat('#',$miembro2/topicRef/@xlink:href)" />
				</xsl:attribute>
				<xsl:value-of select="$miembro2/topicRef/@xlink:href" />
			</a>
		</li>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="ESDLA.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->
